import { TSDate } from "./tsdate";
import { Comparison } from "./types";
export declare function $numcompare(a: number, b: number): Comparison;
export declare function $datecompare(a: number | string | Date | TSDate | null | undefined, b: number | string | Date | TSDate | null | undefined): Comparison;
export declare function $compare(a: any, b: any): Comparison;
export declare function $min<T = any>(values: Iterable<T> | undefined | null): any;
export declare function $max(values: any[]): any;
export declare function $equal(a: any, b: any): any;
declare global {
    export interface Array<T> {
        min: () => T | undefined;
        max: () => T | undefined;
    }
}
